the booting error of l4linux

cheng guanghui cheng.guanghui.ml at gmail.com
Sat Jul 2 01:45:48 CEST 2011


        Thanks a lot for Adam and Sartakov. Yes, i used the old
version of l4re-snapshot to have a bug about graphic options. I
updated to latest version (l4re-snapshot-2011062215>. it could work.

        Cheers.
        Regards.
                       Cheng Guanghui

On Fri, Jul 1, 2011 at 8:28 PM, Adam Lackorzynski
<adam at os.inf.tu-dresden.de> wrote:
> Hi,
>
> On Fri Jul 01, 2011 at 16:12:52 +0800, cheng guanghui wrote:
>> Hello, Adam:
>>
>>       I updated the qemu to 0.13. the errors before mentioned
>> disappeared. But an new error is coming like this:
>>
>> mag     | View::Info:
>> mag     |   flags: 0
>> mag     |   size:  1024x768  pos: 0, 0
>> mag     |   bytes_per_line: 2048
>> mag     |   buffer_offset:  0
>> mag     |   RGBA(2): 5(11):6(5):5(0):0(0)
>> mag     |   memory 400000-800000
>> mag     | L4INPUT native mode activated
>> mag     | L4INPUT:                !!! W A R N I N G !!!
>> mag     | L4INPUT:  Please, do not use Fiasco's "-esc" with L4INPUT.
>> mag     | L4INPUT:                !!! W A R N I N G !!!
>> mag     | serio: i8042 AUX port at 0x60,0x64 irq 12
>> mag     | serio: i8042 KBD port at 0x60,0x64 irq 1
>> mag     | input: ImExPS/2 Generic Explorer Mouse on isa0060/serio1
>> mag     | input: AT Translated Set 2 keyboard on isa0060/serio0
>> mag     | connect "ImExPS/2 Generic Explorer Mouse", isa0060/serio1/input0
>> mag     | connect "AT Translated Set 2 keyboard", isa0060/serio0/input0
>> mag     | Plugin: Frame-buffer service started
>> mag     | Plugin: Mag_client service started
>> mag     | unknown session option '640x480'
>> Ned: ERROR: rom/l4lx-gfx.cfg:54: runtime error Invalid argument (-22)
>>
>>          It sounds it can't recognize the option "g=640x480". I guess
>> it was caused by my qemu. And i recompiled the qemu-0.13 and qemu-0.14
>> as this configure command line like this:
>>
>>          ./configure --enable-sdl --target-list=i386-softmmu.
>>         But the error is the same as before. How can i fix this?
>
> In a previous version I had a bug in the config file where the 'g=' was
> missing. Could you please check that there's really 'g=640x480' instead
> just '640x480' in the file you're using?
>
>
>
> Adam
> --
> Adam                 adam at os.inf.tu-dresden.de
>  Lackorzynski         http://os.inf.tu-dresden.de/~adam/
>
> _______________________________________________
> l4-hackers mailing list
> l4-hackers at os.inf.tu-dresden.de
> http://os.inf.tu-dresden.de/mailman/listinfo/l4-hackers
>




More information about the l4-hackers mailing list